body {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    width: 95%;
}

main {
    display: flex;
    margin-top: 1.5rem;
    margin-bottom: 3rem;
}

.scroll-tracker {
    position: fixed;
    inset: 0 0 auto;
    height: 0.5rem;
    background-color: orange !important;
    transform-origin: left;
    z-index: 100;
}

/* Place Section */
#placeSection {
    width: 60vw;
    margin: 0 auto;
}

#placeContainer {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin: auto;
}

.placeCard {
    display: flex;
    width: 100%;
    height: 195px;
    margin: 10px;
    justify-content: space-between;
    border: 1px solid lightgray;
    border-radius: 10px;
    box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
}

.placeImage {
    width: 30%;
    object-fit: cover;
    overflow: hidden;
    border-radius: 10px 0 0 10px;
}

.placeCard img {
    width: 100%;
    height: 100%;
    aspect-ratio: 4/3;
}

.placeDesc {
    width: 50%;
    padding-left: 10px;
    overflow: hidden;
    padding-top: 3px;
    padding-bottom: 3px;
    background-color: #dbf2f7;
    color: black;
}

.placeDesc h3 {
    font-size: 1.1em;
    margin: 5px 0;
    padding: 0;
}

.placeDesc> :nth-child(2) {
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 4;
    overflow: hidden;
    font-size: small;
    color: black;
}

.placeDesc> :nth-child(3) {
    margin: 10px 0;
}

.placePkg {
    display: flex;
    gap: 40px;
}

.placePkg>p {
    border: 1px solid rgb(0, 0, 0);
    margin: 0;
    border: 1px solid rgb(150, 142, 142);
    border-radius: 5px;
    padding: 3px;
    min-width: 60px;
    text-align: center;
    background-color: #dde5b6;
    color: orangered;
}

.placePrice {
    background-color: #b5e2fa;
    width: 20%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 20px;
    border-radius: 0 10px 10px 0;
}

.bookBtn {
    background-color: #0077b6;
    color: white;
    padding: 10px;
    border-radius: 5px;
    width: 70%;
    cursor: pointer;
}

.bookBtn:hover {
    background-color: rgb(46, 46, 145);
    color: white;
}

/* Filter by price range */
#filterRange {
    position: sticky;
    width: 15vw;
    background-color: #edf2f4;
    top: 0;
}

#filterRange>div {
    position: sticky;
    top: 10px;
    z-index: 100;
}

#filterDiv {
    width: 95%;
    margin: auto;
    margin-top: 20px;
    margin-bottom: 2rem;
}

#filterDiv>div:first-child {
    display: flex;
    margin-bottom: 15px;
    justify-content: space-between;
    margin-right: 10px;
}

.filterImg {
    display: none;
}

.resetImg {
    width: 13%;
    height: 13%;
    padding: 3px;
    cursor: pointer;
}

.radio-group {
    display: flex;
    flex-direction: column;
}

.radio-label {
    display: flex;
    align-items: center;
    padding: 0.5em;
    margin-bottom: 0.5em;
    background-color: #fff;
    border: 1px solid #ccc;
    border-radius: 4px;
    transition: background-color 0.2s, border-color 0.2s;
    font-size: 0.95em;
    cursor: pointer;
}

.radio-label:hover {
    background-color: #e6e6e6;
}

.radio-input {
    position: absolute;
    opacity: 0;
}

.radio-input:checked+.radio-label {
    background-color: #cce3de;
    border-color: #6b9080;
}

.radio-input:focus+.radio-label {
    outline: 2px solid #6b9080;
}

.radio-inner-circle {
    display: inline-block;
    width: 1em;
    height: 1em;
    border: 2px solid #888;
    border-radius: 50%;
    margin-right: 0.5em;
    transition: border-color 0.2s;
    position: relative;
}

.radio-label:hover .radio-inner-circle {
    border-color: #555;
}

.radio-input:checked+.radio-label .radio-inner-circle {
    border-color: #6b9080;
}

.radio-input:checked+.radio-label .radio-inner-circle::after {
    content: '';
    display: block;
    width: 0.5em;
    height: 0.5em;
    background-color: #6b9080;
    border-radius: 50%;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

/* Sort */
#sortByPrice {
    width: 100%;
    cursor: pointer;
}

/* Search */
#searchForm {
    display: flex;
    justify-content: center;
    width: 60vw;
    margin: auto;
}

#searchForm>div {
    border: 2px solid black;
    border-radius: 8px;
    display: flex;
    height: auto;
    width: 70%;
    margin: 10px;
    gap: 10px;
    align-items: center;
}

.searchImg {
    width: 35px;
    height: 35px;
    padding: 5px;
}

#search {
    width: 100%;
    height: 40px;
    padding: 10px;
    border: none;
}

#search:focus {
    outline: none;
}

#search::placeholder {
    font-size: 1.4em;
    display: flex;
    justify-content: center;
    align-items: center;
}

/* State Section */
#stateSection {
    width: 16vw;
    position: sticky;
    top: 0;
    right: 0;
    background-color: #d8e2dc;
}

#stateSection>div {
    position: sticky;
    top: 10px;
}

#stateContainer {
    height: 100vh;
    width: 100%;
    overflow-y: scroll;
    overflow-x: hidden;
    transition: all 0.5s ease-in-out;
}

#stateContainer::-webkit-scrollbar-thumb {
    background-image: linear-gradient(to bottom, rgb(39, 8, 173), rgb(32, 10, 155));
    border-radius: 500px;
}

#stateContainer::-webkit-scrollbar {
    width: 8px;
}

#stateContainer::-webkit-scrollbar-track {
    display: none;
}

#stateContainer {
    box-sizing: border-box;
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    gap: 10px;
    text-align: center;
}

#stateContainer>div>img {
    width: 100%;
    border-radius: 10px;
    aspect-ratio: 4/3;
}

#stateContainer>div {
    transition: transform 0.4s;
    transition: all 0.4s ease-in;
}

#stateContainer>div:hover {
    box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
    transform: scale(1.05);
    border-radius: 10px;
}

.stateCard {
    width: 90%;
    padding: 3px;
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    margin: auto;
}

.stateCard h3 {
    position: absolute;
    bottom: 0;
    width: fit-content;
    color: #e6e6e6;
    font-size: 1.3em;
    text-shadow: 2px 2px black;
    width: 100%;
    background-color: transparent;
}

#stateSection h1 {
    width: 100%;
    margin: 10px auto;
    text-align: center;
}

#placeSection h1 {
    width: 100%;
    margin: 10px auto;
}

/* Sort */
.sortDiv {
    width: 95%;
    margin: auto;
}

#sortByPrice {
    width: 100%;
    margin: auto;
    height: 30px;
}

/* Loader */
.loader {
    height: 100vh;
    justify-content: center;
    align-items: center;
}

.dot-spinner {
    --uib-size: 2.8rem;
    --uib-speed: .9s;
    --uib-color: #183153;
    position: relative;
    display: flex;
    align-items: center;
    justify-content: flex-start;
    height: var(--uib-size);
    width: var(--uib-size);
}

.dot-spinner__dot {
    position: absolute;
    top: 0;
    left: 0;
    display: flex;
    align-items: center;
    justify-content: flex-start;
    height: 100%;
    width: 100%;
}

.dot-spinner__dot::before {
    content: '';
    height: 20%;
    width: 20%;
    border-radius: 50%;
    background-color: var(--uib-color);
    transform: scale(0);
    opacity: 0.5;
    animation: pulse0112 calc(var(--uib-speed) * 1.111) ease-in-out infinite;
    box-shadow: 0 0 20px rgba(18, 31, 53, 0.3);
}

.dot-spinner__dot:nth-child(2) {
    transform: rotate(45deg);
}

.dot-spinner__dot:nth-child(2)::before {
    animation-delay: calc(var(--uib-speed) * -0.875);
}

.dot-spinner__dot:nth-child(3) {
    transform: rotate(90deg);
}

.dot-spinner__dot:nth-child(3)::before {
    animation-delay: calc(var(--uib-speed) * -0.75);
}

.dot-spinner__dot:nth-child(4) {
    transform: rotate(135deg);
}

.dot-spinner__dot:nth-child(4)::before {
    animation-delay: calc(var(--uib-speed) * -0.625);
}

.dot-spinner__dot:nth-child(5) {
    transform: rotate(180deg);
}

.dot-spinner__dot:nth-child(5)::before {
    animation-delay: calc(var(--uib-speed) * -0.5);
}

.dot-spinner__dot:nth-child(6) {
    transform: rotate(225deg);
}

.dot-spinner__dot:nth-child(6)::before {
    animation-delay: calc(var(--uib-speed) * -0.375);
}

.dot-spinner__dot:nth-child(7) {
    transform: rotate(270deg);
}

.dot-spinner__dot:nth-child(7)::before {
    animation-delay: calc(var(--uib-speed) * -0.25);
}

.dot-spinner__dot:nth-child(8) {
    transform: rotate(315deg);
}

.dot-spinner__dot:nth-child(8)::before {
    animation-delay: calc(var(--uib-speed) * -0.125);
}

@keyframes pulse0112 {

    0%,
    100% {
        transform: scale(0);
        opacity: 0.5;
    }

    50% {
        transform: scale(1);
        opacity: 1;
    }
}